openQA Tests - action #36313

[qe-core][sle][opensuse][gem] enhance update_packagekit tests
2018-05-17 08:20 - jorauch

Status: Workable Start date: 2017-12-05
Priority: Low Due date:

Assignee: % Done: 0%
Category: Enhancement to existing tests Estimated time: 5.00 hours
Target version: future

Difficulty: medium

Description

Observation

In the update tests we depend highly on which types of updates are available, so we do not test every branch in every build (e.g. we
have no updates that require a reboot)

To test as much as possible there are update tests in: http://download.opensuse.org/update/leap/15.0/0ss/x86_64/

We should try to integrate this to our tests, not only for leap but for all products

Acceptance criteria

AC1: Tests are not broken
AC2: All sorts of updates are being tested on opensuse
AC3: All sorts of updates are being tested on sle

Suggestions

¢ Do not test updates on openSUSE Tumbleweed because updates there are less important and seldom and we do not have an
update repo with test packages

e For SLE or Leap make sure that the published update-repo with test update packages (see #36451) are available, at least as
long as BETA=1 is set

Related issues:

Related to openQA Tests - action #36451: [functional][y] Testing presence or ... Resolved 2018-05-23

Blocked by openQA Tests - action #38393: [functional][u] updates_packagekit_k... Resolved 2018-07-13 2018-08-14
Copied from openQA Tests - action #28875: [sle][functional][sporadic][hard][u... Resolved 2017-12-05 2018-05-22
History

#1 - 2018-05-17 08:20 - jorauch

- Copied from action #28875: [sle][functional][sporadicj[hard][u] test fails in updates packagekit_gpk - updater should not be started when already
running added

#2 - 2018-05-17 08:21 - jorauch
- Status changed from Feedback to Workable
- Priority changed from High to Normal

#3 - 2018-05-17 08:25 - okurz
- Priority changed from Normal to Low

- Target version changed from Milestone 16 to Milestone 18

It's a cool idea but that high prio for now. So sure, you can continue to work on this as a fall-back task for now and eventually we should also pick it up
with higher prio again.

#4 - 2018-05-18 07:51 - jorauch
- Priority changed from Low to Normal

- Target version changed from Milestone 18 to Milestone 16
http://download.opensuse.org/update/leap/15.0/oss/x86_64/
https://progress.opensuse.org/issues/36451

The question here is at wich point we should add the new repo.
| would do this in a seperate module to keep it flexible enough for all products and architectures
Maybe we could use zypper_ar for this

#5 - 2018-05-23 15:58 - okurz

- Related to action #36451: [functional][y] Testing presence or absence of update-test* packages on iso, based on BETA flag added

#6 - 2018-05-23 16:10 - okurz

did you change the prio + milestone intentionally?

#7 - 2018-05-24 06:10 - jorauch
- Priority changed from Normal to Low

- Target version changed from Milestone 16 to Milestone 18

Nope, that happened when adding the last comment, sorry for that

#8 - 2018-06-15 18:51 - okurz

- Target version changed from Milestone 18 to Milestone 18

#9 - 2018-07-27 10:52 - jorauch
- Due date set to 2018-08-14

As discussed with okurz
#10 - 2018-07-27 11:56 - jorauch

related PR by dheidler:
https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/5477

#11 - 2018-08-01 08:33 - mgriessmeier
- Blocked by action #38393: [functional][u] updates packagekit kde must not be scheduled before zypper_clear_repos added

#12 - 2018-08-01 08:34 - mgriessmeier
- Status changed from Workable to Blocked

blocked by https://progress.opensuse.org/issues/38393

#13 - 2018-08-01 08:41 - mgriessmeier
- Estimated time set to 5.00 h

#14 - 2018-08-03 20:22 - okurz

- Description updated

#15 - 2018-08-06 12:23 - okurz
- Status changed from Blocked to Workable

blocker resolved. | think this covers "do not look for updates on TW" already. If in doubt talk to dheidler please.

#16 - 2018-08-14 11:49 - okurz
- Due date changed from 2018-08-14 to 2018-08-28

bulk move to next sprint as could not be discussed in SR

#17 - 2018-08-15 09:15 - okurz
- Due date changed from 2018-08-28 to 2018-09-11

- Target version changed from Milestone 18 to Milestone 19

we got interrupted on that one for the time being. We have too many tickets planned for current S24 so let's delay some time
https://progress.opensuse.org/issues/38393
#18 - 2018-09-06 08:10 - jorauch

I would like to delay this until the return of dheidler

#19 - 2018-09-11 08:46 - mgriessmeier
- Due date changed from 2018-09-11 to 2018-09-25

#20 - 2018-09-12 08:25 - mgriessmeier
- Due date changed from 2018-09-25 to 2018-10-09

- Assignee deleted (jorauch)

#21 - 2018-09-25 21:27 - okurz
- Due date deleted (2018-10-09)

- Target version changed from Milestone 19 to future

riafarov is currently working on harmonizing the update schedule which might have an impact and someone from QAM plans to look into
update_packagekit_kde as well. We can look into this but ... not now.

#22 - 2020-02-25 10:03 - mgriessmeier
- Status changed from Workable to Rejected

We don't know currently what parts of this is already covered and what not - please reopen or create a proper one with explicit request

#23 - 2020-02-25 12:38 - okurz

- Subject changed from [sle][opensuse][functionall[medium][u] enhance update_packagekit tests to [sle]fopensusejlqam] enhance update_packagekit
tests

- Status changed from Rejected to Workable

mgriessmeier wrote:

We don't know currently what parts of this is already covered and what not - please reopen or create a proper one with explicit request

this is a bit lame explanation. The link to test updates needs an update of course: http://download.opensuse.org/update/leap/15.2/0ss/x86_64/
This shows all different categories of updates:

update-test-32bit-pkg
update-test-affects-package-manager
update-test-broken
update-test-feature
update-test-interactive
update-test-optional
update-test-reboot-needed
update-test-relogin-suggested
update-test-security

update-test-trivial

but | think by now it fits better the scope of [gam].

#24 - 2020-11-06 10:16 - tjyrinki_suse

- Subject changed from [sle][opensuse][qgam] enhance update packagekit tests to [qe-core][sle][opensuse][qam] enhance update packagekit tests
#25 - 2020-11-26 11:48 - tjyrinki_suse

- Subject changed from [qe-core][sle][opensuse][qam] enhance update packagekit tests to [qe-core][sle][opensuse][gem] enhance update packagekit
tests
